
#ifndef   	DOUBLE_VECTOR_H_
# define   	DOUBLE_VECTOR_H_

#include <stdlib.h>
#include <iostream>
#include <cmath>
#include <string>
#include <errno.h>
#include <stdio.h>

#include <vector>
using namespace std;


class double_vector
{
 public:
  double_vector();
  double_vector(const double_vector&);
  ~double_vector();

  int size() const;
  int resize(int _size);

  double &operator[](int k_vertex);
  double operator[](int k_vertex) const;
  double_vector& operator=(const double_vector&);

  int add(double value);
  int add(const std::vector <double>& _double_list);
  int set(const std::vector <double>& _double_list);

 private:
  
  std::vector <double> double_list;
};


#endif 	    /* !DOUBLE_VECTOR_H_ */
